using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Workflow.Runtime.Messaging;

namespace Workflow.RuntimeServices
{
    [Serializable]
    public class DataReceivedEventArgs : WorkflowMessageEventArgs
    {
        private string first;
        private string last;
        private string email;

        public DataReceivedEventArgs(Guid instanceId, string first, string last, string email) : base(instanceId)
        {
            this.first = first;
            this.last = last;
            this.email = email;
        }

        public string FirstName
        {
            get { return this.first; }
        }

        public string LastName
        {
            get { return this.last; }
        }

        public string EmailAddress
        {
            get { return this.email ; }
        }
    }
}
