using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Workflow.Runtime.Messaging;

namespace Workflow.RuntimeServices
{
	[Serializable]
	public class EmailEventArgs : WorkflowMessageEventArgs
	{
		private string email;

		public EmailEventArgs(Guid instanceId, string email) : base(instanceId)
		{
			this.email = email;
		}

		public string EmailAddress
		{
			get { return email; }
			set { email = value; }
		}
	}
}
