using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Workflow.Runtime.Messaging;

namespace Workflow.RuntimeServices
{
	[Serializable]
	public class NameEventArgs : WorkflowMessageEventArgs
	{
		private string first;
		private string last;

		public NameEventArgs(Guid instanceId, string firstName, string lastName) : base(instanceId)
		{
			this.first = firstName;
			this.last = lastName;
		}

		public string FirstName
		{
			get { return first; }
			set { first = value; }
		}

		public string LastName
		{
			get { return last; }
			set { last = value; }
		}
	}
}
