using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Workflow.Runtime;
using System.Workflow.Runtime.Hosting.Web;
using System.Workflow.Runtime.Messaging;

namespace Workflow.RuntimeServices
{
    [Serializable]
    public class SendDataService : ISendDataService
    {
        public Guid instanceId;

        public event EventHandler<DataReceivedEventArgs> DataReceived;

        public void SendData(string firstName, string lastName, string email)
        {
            if (DataReceived != null)
            {
                DataReceivedEventArgs e = new DataReceivedEventArgs(instanceId, firstName, lastName, email);
                DataReceived(null, e);
            }
        }
    }
}
